#pragma once
#include "Entity.h"
//检测存档xxx 然后显示房间名的实体
#define MENUTEXTSLOTROOMNAME_CREATENAME L"menutext_slotroomname"
class MenuTextSlotRoomName :
    public Entity
{
public:
    void Step() override;
    void SetState(int stateID, int lr) override;
    void ReloadLanguage() override;
private:
    bool bOnce = true;
};

std::shared_ptr<Entity> CreateMenuTextSlotRoomName();